# diet_cms
다이어트 프렌즈 CMS API Documentation 입니다.
해당 API [다이어트프렌즈 API 디자인 가이드](https://www.notion.so/passionfactory/API-2cd4629480be4f0a8dfb34e7132da4dc
) 을 따라서 디자인 되었습니다.

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.2
- Build package: org.openapitools.codegen.languages.DartDioClientCodegen
For more information, please visit [https://dietfriends.kr](https://dietfriends.kr)

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: diet_cms
version: 0.1.2+100
description: Diet CMS client
dependencies:
  diet_cms:
    git: https://github.com/chatbot-pf/diet-cms-client-dart.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  diet_cms:
    path: /path/to/diet_cms
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:diet_cms/api.dart';


var api_instance = new CoachApi();

try {
    var result = api_instance.coachesCountGet();
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesCountGet: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:1337*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CoachApi* | [**coachesCountGet**](doc//CoachApi.md#coachescountget) | **get** /coaches/count | 
*CoachApi* | [**coachesGet**](doc//CoachApi.md#coachesget) | **get** /coaches | 
*CoachApi* | [**coachesIdDelete**](doc//CoachApi.md#coachesiddelete) | **delete** /coaches/{id} | 
*CoachApi* | [**coachesIdGet**](doc//CoachApi.md#coachesidget) | **get** /coaches/{id} | 
*CoachApi* | [**coachesIdPut**](doc//CoachApi.md#coachesidput) | **put** /coaches/{id} | 
*CoachApi* | [**coachesPost**](doc//CoachApi.md#coachespost) | **post** /coaches | 
*EmoticonApi* | [**emoticonsCountGet**](doc//EmoticonApi.md#emoticonscountget) | **get** /emoticons/count | 
*EmoticonApi* | [**emoticonsGet**](doc//EmoticonApi.md#emoticonsget) | **get** /emoticons | 
*EmoticonApi* | [**emoticonsIdDelete**](doc//EmoticonApi.md#emoticonsiddelete) | **delete** /emoticons/{id} | 
*EmoticonApi* | [**emoticonsIdGet**](doc//EmoticonApi.md#emoticonsidget) | **get** /emoticons/{id} | 
*EmoticonApi* | [**emoticonsIdPut**](doc//EmoticonApi.md#emoticonsidput) | **put** /emoticons/{id} | 
*EmoticonApi* | [**emoticonsPost**](doc//EmoticonApi.md#emoticonspost) | **post** /emoticons | 
*EmoticonApi* | [**imagesSlugGet**](doc//EmoticonApi.md#imagesslugget) | **get** /images/{slug} | 
*EmoticonApi* | [**imagesSlugGet_0**](doc//EmoticonApi.md#imagesslugget_0) | **get** /images/{slug}/-/* | 
*ExerciseApi* | [**exercisesCountGet**](doc//ExerciseApi.md#exercisescountget) | **get** /exercises/count | 
*ExerciseApi* | [**exercisesGet**](doc//ExerciseApi.md#exercisesget) | **get** /exercises | 
*ExerciseApi* | [**exercisesIdDelete**](doc//ExerciseApi.md#exercisesiddelete) | **delete** /exercises/{id} | 
*ExerciseApi* | [**exercisesIdGet**](doc//ExerciseApi.md#exercisesidget) | **get** /exercises/{id} | 
*ExerciseApi* | [**exercisesIdPut**](doc//ExerciseApi.md#exercisesidput) | **put** /exercises/{id} | 
*ExerciseApi* | [**exercisesIdRevisionsGet**](doc//ExerciseApi.md#exercisesidrevisionsget) | **get** /exercises/{id}/revisions | 
*ExerciseApi* | [**exercisesIdRevisionsRevisionGet**](doc//ExerciseApi.md#exercisesidrevisionsrevisionget) | **get** /exercises/{id}/revisions/{revision} | 
*ExerciseApi* | [**exercisesMigrateGet**](doc//ExerciseApi.md#exercisesmigrateget) | **get** /exercises/migrate | 
*ExerciseApi* | [**exercisesPost**](doc//ExerciseApi.md#exercisespost) | **post** /exercises | 
*ExerciseGroupApi* | [**countExerciseGroups**](doc//ExerciseGroupApi.md#countexercisegroups) | **get** /exercise-groups/count | 
*ExerciseGroupApi* | [**createExerciseGroup**](doc//ExerciseGroupApi.md#createexercisegroup) | **post** /exercise-groups | 
*ExerciseGroupApi* | [**deleteExerciseGroup**](doc//ExerciseGroupApi.md#deleteexercisegroup) | **delete** /exercise-groups/{id} | 
*ExerciseGroupApi* | [**getExerciseGroup**](doc//ExerciseGroupApi.md#getexercisegroup) | **get** /exercise-groups/{id} | 
*ExerciseGroupApi* | [**listExerciseGroups**](doc//ExerciseGroupApi.md#listexercisegroups) | **get** /exercise-groups | 
*ExerciseGroupApi* | [**updateExerciseGroup**](doc//ExerciseGroupApi.md#updateexercisegroup) | **put** /exercise-groups/{id} | 
*ExerciseRevisionApi* | [**createExerciseRevision**](doc//ExerciseRevisionApi.md#createexerciserevision) | **post** /exercise-revisions | 
*ExerciseRevisionApi* | [**exerciseRevisionsCountGet**](doc//ExerciseRevisionApi.md#exerciserevisionscountget) | **get** /exercise-revisions/count | 
*ExerciseRevisionApi* | [**exerciseRevisionsIdDelete**](doc//ExerciseRevisionApi.md#exerciserevisionsiddelete) | **delete** /exercise-revisions/{id} | 
*ExerciseRevisionApi* | [**exerciseRevisionsIdGet**](doc//ExerciseRevisionApi.md#exerciserevisionsidget) | **get** /exercise-revisions/{id} | 
*ExerciseRevisionApi* | [**exerciseRevisionsIdPut**](doc//ExerciseRevisionApi.md#exerciserevisionsidput) | **put** /exercise-revisions/{id} | 
*ExerciseRevisionApi* | [**listExerciseRevisions**](doc//ExerciseRevisionApi.md#listexerciserevisions) | **get** /exercise-revisions | 
*ExerciseVideoApi* | [**exerciseVideosCountGet**](doc//ExerciseVideoApi.md#exercisevideoscountget) | **get** /exercise-videos/count | 
*ExerciseVideoApi* | [**exerciseVideosGet**](doc//ExerciseVideoApi.md#exercisevideosget) | **get** /exercise-videos | 
*ExerciseVideoApi* | [**exerciseVideosIdDelete**](doc//ExerciseVideoApi.md#exercisevideosiddelete) | **delete** /exercise-videos/{id} | 
*ExerciseVideoApi* | [**exerciseVideosIdGet**](doc//ExerciseVideoApi.md#exercisevideosidget) | **get** /exercise-videos/{id} | 
*ExerciseVideoApi* | [**exerciseVideosIdPut**](doc//ExerciseVideoApi.md#exercisevideosidput) | **put** /exercise-videos/{id} | 
*ExerciseVideoApi* | [**exerciseVideosPost**](doc//ExerciseVideoApi.md#exercisevideospost) | **post** /exercise-videos | 
*StoryApi* | [**storiesCountGet**](doc//StoryApi.md#storiescountget) | **get** /stories/count | 
*StoryApi* | [**storiesGet**](doc//StoryApi.md#storiesget) | **get** /stories | 
*StoryApi* | [**storiesIdDelete**](doc//StoryApi.md#storiesiddelete) | **delete** /stories/{id} | 
*StoryApi* | [**storiesIdGet**](doc//StoryApi.md#storiesidget) | **get** /stories/{id} | 
*StoryApi* | [**storiesIdPut**](doc//StoryApi.md#storiesidput) | **put** /stories/{id} | 
*StoryApi* | [**storiesPost**](doc//StoryApi.md#storiespost) | **post** /stories | 


## Documentation For Models

 - [Coach](doc//Coach.md)
 - [ContentDetails](doc//ContentDetails.md)
 - [CountResponse](doc//CountResponse.md)
 - [Emoticon](doc//Emoticon.md)
 - [Error](doc//Error.md)
 - [Exercise](doc//Exercise.md)
 - [ExerciseGroup](doc//ExerciseGroup.md)
 - [ExerciseGroupExercise](doc//ExerciseGroupExercise.md)
 - [ExerciseRevision](doc//ExerciseRevision.md)
 - [ExerciseVideo](doc//ExerciseVideo.md)
 - [ExerciseVideoContentDetails](doc//ExerciseVideoContentDetails.md)
 - [JsonPatchOperation](doc//JsonPatchOperation.md)
 - [NewCoach](doc//NewCoach.md)
 - [NewEmoticon](doc//NewEmoticon.md)
 - [NewExercise](doc//NewExercise.md)
 - [NewExerciseGroup](doc//NewExerciseGroup.md)
 - [NewExerciseRevision](doc//NewExerciseRevision.md)
 - [NewExerciseVideo](doc//NewExerciseVideo.md)
 - [NewStory](doc//NewStory.md)
 - [Story](doc//Story.md)


## Documentation For Authorization


## bearerAuth

- **Type**: HTTP basic authentication


## Author

minsu.lee@dietfriends.kr


