# diet_cms.api.CoachApi

## Load the API package
```dart
import 'package:diet_cms/api.dart';
```

All URIs are relative to *http://localhost:1337*

Method | HTTP request | Description
------------- | ------------- | -------------
[**coachesCountGet**](CoachApi.md#coachesCountGet) | **get** /coaches/count | 
[**coachesGet**](CoachApi.md#coachesGet) | **get** /coaches | 
[**coachesIdDelete**](CoachApi.md#coachesIdDelete) | **delete** /coaches/{id} | 
[**coachesIdGet**](CoachApi.md#coachesIdGet) | **get** /coaches/{id} | 
[**coachesIdPut**](CoachApi.md#coachesIdPut) | **put** /coaches/{id} | 
[**coachesPost**](CoachApi.md#coachesPost) | **post** /coaches | 


# **coachesCountGet**
> Object coachesCountGet()



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();

try { 
    var result = api_instance.coachesCountGet();
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **coachesGet**
> List<Coach> coachesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();
var limit = 56; // int | Maximum number of results possible
var sort = sort_example; // String | Sort according to a specific field.
var start = 56; // int | Skip a specific number of entries (especially useful for pagination)
var &#x3D; = =_example; // String | Get entries that matches exactly your input
var ne = ne_example; // String | Get records that are not equals to something
var lt = lt_example; // String | Get record that are lower than a value
var lte = lte_example; // String | Get records that are lower than or equal to a value
var gt = gt_example; // String | Get records that are greater than a value
var gte = gte_example; // String | Get records that are greater than  or equal a value
var contains = contains_example; // String | Get records that contains a value
var containss = containss_example; // String | Get records that contains (case sensitive) a value
var in_ = []; // List<String> | Get records that matches any value in the array of values
var nin = []; // List<String> | Get records that doesn't match any value in the array of values

try { 
    var result = api_instance.coachesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin);
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| Maximum number of results possible | [optional] [default to null]
 **sort** | **String**| Sort according to a specific field. | [optional] [default to null]
 **start** | **int**| Skip a specific number of entries (especially useful for pagination) | [optional] [default to null]
 **&#x3D;** | **String**| Get entries that matches exactly your input | [optional] [default to null]
 **ne** | **String**| Get records that are not equals to something | [optional] [default to null]
 **lt** | **String**| Get record that are lower than a value | [optional] [default to null]
 **lte** | **String**| Get records that are lower than or equal to a value | [optional] [default to null]
 **gt** | **String**| Get records that are greater than a value | [optional] [default to null]
 **gte** | **String**| Get records that are greater than  or equal a value | [optional] [default to null]
 **contains** | **String**| Get records that contains a value | [optional] [default to null]
 **containss** | **String**| Get records that contains (case sensitive) a value | [optional] [default to null]
 **in_** | [**List&lt;String&gt;**](String.md)| Get records that matches any value in the array of values | [optional] [default to const []]
 **nin** | [**List&lt;String&gt;**](String.md)| Get records that doesn&#39;t match any value in the array of values | [optional] [default to const []]

### Return type

[**List<Coach>**](Coach.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **coachesIdDelete**
> int coachesIdDelete(id)



Delete a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();
var id = id_example; // String | 

try { 
    var result = api_instance.coachesIdDelete(id);
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

**int**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **coachesIdGet**
> Coach coachesIdGet(id)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();
var id = id_example; // String | 

try { 
    var result = api_instance.coachesIdGet(id);
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**Coach**](Coach.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **coachesIdPut**
> Coach coachesIdPut(id, newCoach)



Update a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();
var id = id_example; // String | 
var newCoach = new NewCoach(); // NewCoach | 

try { 
    var result = api_instance.coachesIdPut(id, newCoach);
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]
 **newCoach** | [**NewCoach**](NewCoach.md)|  | 

### Return type

[**Coach**](Coach.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **coachesPost**
> Coach coachesPost(newCoach)



Create a new record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new CoachApi();
var newCoach = new NewCoach(); // NewCoach | 

try { 
    var result = api_instance.coachesPost(newCoach);
    print(result);
} catch (e) {
    print("Exception when calling CoachApi->coachesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newCoach** | [**NewCoach**](NewCoach.md)|  | 

### Return type

[**Coach**](Coach.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

