# diet_cms.api.EmoticonApi

## Load the API package
```dart
import 'package:diet_cms/api.dart';
```

All URIs are relative to *http://localhost:1337*

Method | HTTP request | Description
------------- | ------------- | -------------
[**emoticonsCountGet**](EmoticonApi.md#emoticonsCountGet) | **get** /emoticons/count | 
[**emoticonsGet**](EmoticonApi.md#emoticonsGet) | **get** /emoticons | 
[**emoticonsIdDelete**](EmoticonApi.md#emoticonsIdDelete) | **delete** /emoticons/{id} | 
[**emoticonsIdGet**](EmoticonApi.md#emoticonsIdGet) | **get** /emoticons/{id} | 
[**emoticonsIdPut**](EmoticonApi.md#emoticonsIdPut) | **put** /emoticons/{id} | 
[**emoticonsPost**](EmoticonApi.md#emoticonsPost) | **post** /emoticons | 
[**imagesSlugGet**](EmoticonApi.md#imagesSlugGet) | **get** /images/{slug} | 
[**imagesSlugGet_0**](EmoticonApi.md#imagesSlugGet_0) | **get** /images/{slug}/-/* | 


# **emoticonsCountGet**
> Object emoticonsCountGet()



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();

try { 
    var result = api_instance.emoticonsCountGet();
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emoticonsGet**
> List<Emoticon> emoticonsGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var limit = 56; // int | Maximum number of results possible
var sort = sort_example; // String | Sort according to a specific field.
var start = 56; // int | Skip a specific number of entries (especially useful for pagination)
var &#x3D; = =_example; // String | Get entries that matches exactly your input
var ne = ne_example; // String | Get records that are not equals to something
var lt = lt_example; // String | Get record that are lower than a value
var lte = lte_example; // String | Get records that are lower than or equal to a value
var gt = gt_example; // String | Get records that are greater than a value
var gte = gte_example; // String | Get records that are greater than  or equal a value
var contains = contains_example; // String | Get records that contains a value
var containss = containss_example; // String | Get records that contains (case sensitive) a value
var in_ = []; // List<String> | Get records that matches any value in the array of values
var nin = []; // List<String> | Get records that doesn't match any value in the array of values

try { 
    var result = api_instance.emoticonsGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| Maximum number of results possible | [optional] [default to null]
 **sort** | **String**| Sort according to a specific field. | [optional] [default to null]
 **start** | **int**| Skip a specific number of entries (especially useful for pagination) | [optional] [default to null]
 **&#x3D;** | **String**| Get entries that matches exactly your input | [optional] [default to null]
 **ne** | **String**| Get records that are not equals to something | [optional] [default to null]
 **lt** | **String**| Get record that are lower than a value | [optional] [default to null]
 **lte** | **String**| Get records that are lower than or equal to a value | [optional] [default to null]
 **gt** | **String**| Get records that are greater than a value | [optional] [default to null]
 **gte** | **String**| Get records that are greater than  or equal a value | [optional] [default to null]
 **contains** | **String**| Get records that contains a value | [optional] [default to null]
 **containss** | **String**| Get records that contains (case sensitive) a value | [optional] [default to null]
 **in_** | [**List&lt;String&gt;**](String.md)| Get records that matches any value in the array of values | [optional] [default to const []]
 **nin** | [**List&lt;String&gt;**](String.md)| Get records that doesn&#39;t match any value in the array of values | [optional] [default to const []]

### Return type

[**List<Emoticon>**](Emoticon.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emoticonsIdDelete**
> int emoticonsIdDelete(id)



Delete a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var id = id_example; // String | 

try { 
    var result = api_instance.emoticonsIdDelete(id);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

**int**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emoticonsIdGet**
> Emoticon emoticonsIdGet(id)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var id = id_example; // String | 

try { 
    var result = api_instance.emoticonsIdGet(id);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**Emoticon**](Emoticon.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emoticonsIdPut**
> Emoticon emoticonsIdPut(id, newEmoticon)



Update a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var id = id_example; // String | 
var newEmoticon = new NewEmoticon(); // NewEmoticon | 

try { 
    var result = api_instance.emoticonsIdPut(id, newEmoticon);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]
 **newEmoticon** | [**NewEmoticon**](NewEmoticon.md)|  | 

### Return type

[**Emoticon**](Emoticon.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emoticonsPost**
> Emoticon emoticonsPost(newEmoticon)



Create a new record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var newEmoticon = new NewEmoticon(); // NewEmoticon | 

try { 
    var result = api_instance.emoticonsPost(newEmoticon);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->emoticonsPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newEmoticon** | [**NewEmoticon**](NewEmoticon.md)|  | 

### Return type

[**Emoticon**](Emoticon.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **imagesSlugGet**
> Object imagesSlugGet(slug)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var slug = slug_example; // String | 

try { 
    var result = api_instance.imagesSlugGet(slug);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->imagesSlugGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **slug** | **String**|  | [default to null]

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **imagesSlugGet_0**
> Object imagesSlugGet_0(slug)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new EmoticonApi();
var slug = slug_example; // String | 

try { 
    var result = api_instance.imagesSlugGet_0(slug);
    print(result);
} catch (e) {
    print("Exception when calling EmoticonApi->imagesSlugGet_0: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **slug** | **String**|  | [default to null]

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

