# diet_cms.api.ExerciseApi

## Load the API package
```dart
import 'package:diet_cms/api.dart';
```

All URIs are relative to *http://localhost:1337*

Method | HTTP request | Description
------------- | ------------- | -------------
[**exercisesCountGet**](ExerciseApi.md#exercisesCountGet) | **get** /exercises/count | 
[**exercisesGet**](ExerciseApi.md#exercisesGet) | **get** /exercises | 
[**exercisesIdDelete**](ExerciseApi.md#exercisesIdDelete) | **delete** /exercises/{id} | 
[**exercisesIdGet**](ExerciseApi.md#exercisesIdGet) | **get** /exercises/{id} | 
[**exercisesIdPut**](ExerciseApi.md#exercisesIdPut) | **put** /exercises/{id} | 
[**exercisesIdRevisionsGet**](ExerciseApi.md#exercisesIdRevisionsGet) | **get** /exercises/{id}/revisions | 
[**exercisesIdRevisionsRevisionGet**](ExerciseApi.md#exercisesIdRevisionsRevisionGet) | **get** /exercises/{id}/revisions/{revision} | 
[**exercisesMigrateGet**](ExerciseApi.md#exercisesMigrateGet) | **get** /exercises/migrate | 
[**exercisesPost**](ExerciseApi.md#exercisesPost) | **post** /exercises | 


# **exercisesCountGet**
> CountResponse exercisesCountGet()



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();

try { 
    var result = api_instance.exercisesCountGet();
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**CountResponse**](CountResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesGet**
> List<Exercise> exercisesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var limit = 56; // int | Maximum number of results possible
var sort = sort_example; // String | Sort according to a specific field.
var start = 56; // int | Skip a specific number of entries (especially useful for pagination)
var &#x3D; = =_example; // String | Get entries that matches exactly your input
var ne = ne_example; // String | Get records that are not equals to something
var lt = lt_example; // String | Get record that are lower than a value
var lte = lte_example; // String | Get records that are lower than or equal to a value
var gt = gt_example; // String | Get records that are greater than a value
var gte = gte_example; // String | Get records that are greater than  or equal a value
var contains = contains_example; // String | Get records that contains a value
var containss = containss_example; // String | Get records that contains (case sensitive) a value
var in_ = []; // List<String> | Get records that matches any value in the array of values
var nin = []; // List<String> | Get records that doesn't match any value in the array of values

try { 
    var result = api_instance.exercisesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| Maximum number of results possible | [optional] [default to null]
 **sort** | **String**| Sort according to a specific field. | [optional] [default to null]
 **start** | **int**| Skip a specific number of entries (especially useful for pagination) | [optional] [default to null]
 **&#x3D;** | **String**| Get entries that matches exactly your input | [optional] [default to null]
 **ne** | **String**| Get records that are not equals to something | [optional] [default to null]
 **lt** | **String**| Get record that are lower than a value | [optional] [default to null]
 **lte** | **String**| Get records that are lower than or equal to a value | [optional] [default to null]
 **gt** | **String**| Get records that are greater than a value | [optional] [default to null]
 **gte** | **String**| Get records that are greater than  or equal a value | [optional] [default to null]
 **contains** | **String**| Get records that contains a value | [optional] [default to null]
 **containss** | **String**| Get records that contains (case sensitive) a value | [optional] [default to null]
 **in_** | [**List&lt;String&gt;**](String.md)| Get records that matches any value in the array of values | [optional] [default to const []]
 **nin** | [**List&lt;String&gt;**](String.md)| Get records that doesn&#39;t match any value in the array of values | [optional] [default to const []]

### Return type

[**List<Exercise>**](Exercise.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesIdDelete**
> int exercisesIdDelete(id)



Delete a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var id = id_example; // String | 

try { 
    var result = api_instance.exercisesIdDelete(id);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

**int**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesIdGet**
> Exercise exercisesIdGet(id)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var id = id_example; // String | 

try { 
    var result = api_instance.exercisesIdGet(id);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**Exercise**](Exercise.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesIdPut**
> Exercise exercisesIdPut(id, newExercise)



Update a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var id = id_example; // String | 
var newExercise = new NewExercise(); // NewExercise | 

try { 
    var result = api_instance.exercisesIdPut(id, newExercise);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]
 **newExercise** | [**NewExercise**](NewExercise.md)|  | 

### Return type

[**Exercise**](Exercise.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesIdRevisionsGet**
> Object exercisesIdRevisionsGet(id)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var id = id_example; // String | 

try { 
    var result = api_instance.exercisesIdRevisionsGet(id);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesIdRevisionsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesIdRevisionsRevisionGet**
> Object exercisesIdRevisionsRevisionGet(id, revision)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var id = id_example; // String | 
var revision = revision_example; // String | 

try { 
    var result = api_instance.exercisesIdRevisionsRevisionGet(id, revision);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesIdRevisionsRevisionGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]
 **revision** | **String**|  | [default to null]

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesMigrateGet**
> Object exercisesMigrateGet()



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();

try { 
    var result = api_instance.exercisesMigrateGet();
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesMigrateGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **exercisesPost**
> Exercise exercisesPost(newExercise)



Create a new record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new ExerciseApi();
var newExercise = new NewExercise(); // NewExercise | 

try { 
    var result = api_instance.exercisesPost(newExercise);
    print(result);
} catch (e) {
    print("Exception when calling ExerciseApi->exercisesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newExercise** | [**NewExercise**](NewExercise.md)|  | 

### Return type

[**Exercise**](Exercise.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

