# diet_cms.api.LikeApi

## Load the API package
```dart
import 'package:diet_cms/api.dart';
```

All URIs are relative to *http://localhost:1337*

Method | HTTP request | Description
------------- | ------------- | -------------
[**likesCountGet**](LikeApi.md#likesCountGet) | **get** /likes/count | 
[**likesGet**](LikeApi.md#likesGet) | **get** /likes | 
[**likesIdDelete**](LikeApi.md#likesIdDelete) | **delete** /likes/{id} | 
[**likesIdGet**](LikeApi.md#likesIdGet) | **get** /likes/{id} | 
[**likesIdPut**](LikeApi.md#likesIdPut) | **put** /likes/{id} | 
[**likesPost**](LikeApi.md#likesPost) | **post** /likes | 


# **likesCountGet**
> Object likesCountGet()



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();

try { 
    var result = api_instance.likesCountGet();
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **likesGet**
> List<Like> likesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();
var limit = 56; // int | Maximum number of results possible
var sort = sort_example; // String | Sort according to a specific field.
var start = 56; // int | Skip a specific number of entries (especially useful for pagination)
var &#x3D; = =_example; // String | Get entries that matches exactly your input
var ne = ne_example; // String | Get records that are not equals to something
var lt = lt_example; // String | Get record that are lower than a value
var lte = lte_example; // String | Get records that are lower than or equal to a value
var gt = gt_example; // String | Get records that are greater than a value
var gte = gte_example; // String | Get records that are greater than  or equal a value
var contains = contains_example; // String | Get records that contains a value
var containss = containss_example; // String | Get records that contains (case sensitive) a value
var in_ = []; // List<String> | Get records that matches any value in the array of values
var nin = []; // List<String> | Get records that doesn't match any value in the array of values

try { 
    var result = api_instance.likesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin);
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| Maximum number of results possible | [optional] [default to null]
 **sort** | **String**| Sort according to a specific field. | [optional] [default to null]
 **start** | **int**| Skip a specific number of entries (especially useful for pagination) | [optional] [default to null]
 **&#x3D;** | **String**| Get entries that matches exactly your input | [optional] [default to null]
 **ne** | **String**| Get records that are not equals to something | [optional] [default to null]
 **lt** | **String**| Get record that are lower than a value | [optional] [default to null]
 **lte** | **String**| Get records that are lower than or equal to a value | [optional] [default to null]
 **gt** | **String**| Get records that are greater than a value | [optional] [default to null]
 **gte** | **String**| Get records that are greater than  or equal a value | [optional] [default to null]
 **contains** | **String**| Get records that contains a value | [optional] [default to null]
 **containss** | **String**| Get records that contains (case sensitive) a value | [optional] [default to null]
 **in_** | [**List&lt;String&gt;**](String.md)| Get records that matches any value in the array of values | [optional] [default to const []]
 **nin** | [**List&lt;String&gt;**](String.md)| Get records that doesn&#39;t match any value in the array of values | [optional] [default to const []]

### Return type

[**List<Like>**](Like.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **likesIdDelete**
> int likesIdDelete(id)



Delete a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();
var id = id_example; // String | 

try { 
    var result = api_instance.likesIdDelete(id);
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

**int**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **likesIdGet**
> Like likesIdGet(id)



### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();
var id = id_example; // String | 

try { 
    var result = api_instance.likesIdGet(id);
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**Like**](Like.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **likesIdPut**
> Like likesIdPut(id, newLike)



Update a record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();
var id = id_example; // String | 
var newLike = new NewLike(); // NewLike | 

try { 
    var result = api_instance.likesIdPut(id, newLike);
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]
 **newLike** | [**NewLike**](NewLike.md)|  | 

### Return type

[**Like**](Like.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **likesPost**
> Like likesPost(newLike)



Create a new record

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new LikeApi();
var newLike = new NewLike(); // NewLike | 

try { 
    var result = api_instance.likesPost(newLike);
    print(result);
} catch (e) {
    print("Exception when calling LikeApi->likesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newLike** | [**NewLike**](NewLike.md)|  | 

### Return type

[**Like**](Like.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

