# diet_cms.api.UsersPermissionsRoleApi

## Load the API package
```dart
import 'package:diet_cms/api.dart';
```

All URIs are relative to *http://localhost:1337*

Method | HTTP request | Description
------------- | ------------- | -------------
[**usersPermissionsRolesGet**](UsersPermissionsRoleApi.md#usersPermissionsRolesGet) | **get** /users-permissions/roles | 
[**usersPermissionsRolesIdGet**](UsersPermissionsRoleApi.md#usersPermissionsRolesIdGet) | **get** /users-permissions/roles/{id} | 
[**usersPermissionsRolesPost**](UsersPermissionsRoleApi.md#usersPermissionsRolesPost) | **post** /users-permissions/roles | 
[**usersPermissionsRolesRoleDelete**](UsersPermissionsRoleApi.md#usersPermissionsRolesRoleDelete) | **delete** /users-permissions/roles/{role} | 
[**usersPermissionsRolesRolePut**](UsersPermissionsRoleApi.md#usersPermissionsRolesRolePut) | **put** /users-permissions/roles/{role} | 


# **usersPermissionsRolesGet**
> List<UsersPermissionsRole> usersPermissionsRolesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin)



Retrieve all role documents

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new UsersPermissionsRoleApi();
var limit = 56; // int | Maximum number of results possible
var sort = sort_example; // String | Sort according to a specific field.
var start = 56; // int | Skip a specific number of entries (especially useful for pagination)
var &#x3D; = =_example; // String | Get entries that matches exactly your input
var ne = ne_example; // String | Get records that are not equals to something
var lt = lt_example; // String | Get record that are lower than a value
var lte = lte_example; // String | Get records that are lower than or equal to a value
var gt = gt_example; // String | Get records that are greater than a value
var gte = gte_example; // String | Get records that are greater than  or equal a value
var contains = contains_example; // String | Get records that contains a value
var containss = containss_example; // String | Get records that contains (case sensitive) a value
var in_ = []; // List<String> | Get records that matches any value in the array of values
var nin = []; // List<String> | Get records that doesn't match any value in the array of values

try { 
    var result = api_instance.usersPermissionsRolesGet(limit, sort, start, &#x3D;, ne, lt, lte, gt, gte, contains, containss, in_, nin);
    print(result);
} catch (e) {
    print("Exception when calling UsersPermissionsRoleApi->usersPermissionsRolesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| Maximum number of results possible | [optional] [default to null]
 **sort** | **String**| Sort according to a specific field. | [optional] [default to null]
 **start** | **int**| Skip a specific number of entries (especially useful for pagination) | [optional] [default to null]
 **&#x3D;** | **String**| Get entries that matches exactly your input | [optional] [default to null]
 **ne** | **String**| Get records that are not equals to something | [optional] [default to null]
 **lt** | **String**| Get record that are lower than a value | [optional] [default to null]
 **lte** | **String**| Get records that are lower than or equal to a value | [optional] [default to null]
 **gt** | **String**| Get records that are greater than a value | [optional] [default to null]
 **gte** | **String**| Get records that are greater than  or equal a value | [optional] [default to null]
 **contains** | **String**| Get records that contains a value | [optional] [default to null]
 **containss** | **String**| Get records that contains (case sensitive) a value | [optional] [default to null]
 **in_** | [**List&lt;String&gt;**](String.md)| Get records that matches any value in the array of values | [optional] [default to const []]
 **nin** | [**List&lt;String&gt;**](String.md)| Get records that doesn&#39;t match any value in the array of values | [optional] [default to const []]

### Return type

[**List<UsersPermissionsRole>**](UsersPermissionsRole.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersPermissionsRolesIdGet**
> UsersPermissionsRole usersPermissionsRolesIdGet(id)



Retrieve a role depending on its id

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new UsersPermissionsRoleApi();
var id = id_example; // String | 

try { 
    var result = api_instance.usersPermissionsRolesIdGet(id);
    print(result);
} catch (e) {
    print("Exception when calling UsersPermissionsRoleApi->usersPermissionsRolesIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | [default to null]

### Return type

[**UsersPermissionsRole**](UsersPermissionsRole.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersPermissionsRolesPost**
> UsersPermissionsRole usersPermissionsRolesPost(newUsersPermissionsRole)



Create a new role

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new UsersPermissionsRoleApi();
var newUsersPermissionsRole = new NewUsersPermissionsRole(); // NewUsersPermissionsRole | 

try { 
    var result = api_instance.usersPermissionsRolesPost(newUsersPermissionsRole);
    print(result);
} catch (e) {
    print("Exception when calling UsersPermissionsRoleApi->usersPermissionsRolesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newUsersPermissionsRole** | [**NewUsersPermissionsRole**](NewUsersPermissionsRole.md)|  | 

### Return type

[**UsersPermissionsRole**](UsersPermissionsRole.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersPermissionsRolesRoleDelete**
> Object usersPermissionsRolesRoleDelete(role)



Delete a role

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new UsersPermissionsRoleApi();
var role = role_example; // String | 

try { 
    var result = api_instance.usersPermissionsRolesRoleDelete(role);
    print(result);
} catch (e) {
    print("Exception when calling UsersPermissionsRoleApi->usersPermissionsRolesRoleDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **role** | **String**|  | [default to null]

### Return type

[**Object**](Object.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersPermissionsRolesRolePut**
> UsersPermissionsRole usersPermissionsRolesRolePut(role, newUsersPermissionsRole)



Update a role

### Example 
```dart
import 'package:diet_cms/api.dart';
// TODO Configure HTTP basic authorization: bearerAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('bearerAuth').password = 'YOUR_PASSWORD';

var api_instance = new UsersPermissionsRoleApi();
var role = role_example; // String | 
var newUsersPermissionsRole = new NewUsersPermissionsRole(); // NewUsersPermissionsRole | 

try { 
    var result = api_instance.usersPermissionsRolesRolePut(role, newUsersPermissionsRole);
    print(result);
} catch (e) {
    print("Exception when calling UsersPermissionsRoleApi->usersPermissionsRolesRolePut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **role** | **String**|  | [default to null]
 **newUsersPermissionsRole** | [**NewUsersPermissionsRole**](NewUsersPermissionsRole.md)|  | 

### Return type

[**UsersPermissionsRole**](UsersPermissionsRole.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

