import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'coach.g.dart';

abstract class Coach implements Built<Coach, CoachBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'type')
  String get type;
  //enum typeEnum {  chatbot,  human,  };

  @nullable
  @BuiltValueField(wireName: r'exercise_videos')
  BuiltList<JsonObject> get exerciseVideos;

  @nullable
  @BuiltValueField(wireName: r'slug')
  String get slug;

  @nullable
  @BuiltValueField(wireName: r'profile_image')
  JsonObject get profileImage;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  Coach._();

  factory Coach([updates(CoachBuilder b)]) = _$Coach;
  static Serializer<Coach> get serializer => _$coachSerializer;
}
