import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'content_details.g.dart';

abstract class ContentDetails
    implements Built<ContentDetails, ContentDetailsBuilder> {
  /* 동영상의 길이입니다. 태그 값은 [ISO 8601](https://ko.wikipedia.org/wiki/ISO_8601#%EA%B8%B0%EA%B0%84(durations)) 길이(PT#M#S 형식)입니다. 여기서 문자 PT는 이 값이 시간의 길이를 지정함을 나타내며 문자 M 및 S는 각각 분과 초를 나타냅니다. M과 S 문자 앞에 오는 # 문자는 둘 다 동영상의 분 또는 초 숫자를 지정하는 정수입니다. 예를 들어 값 PT15M51S는 동영상 길이가 15분 51초임을 나타냅니다.   */
  @nullable
  @BuiltValueField(wireName: r'duration')
  String get duration;

  // Boilerplate code needed to wire-up generated code
  ContentDetails._();

  factory ContentDetails([updates(ContentDetailsBuilder b)]) = _$ContentDetails;
  static Serializer<ContentDetails> get serializer =>
      _$contentDetailsSerializer;
}
