import 'package:time_machine/time_machine.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'emoticon.g.dart';

abstract class Emoticon implements Built<Emoticon, EmoticonBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'slug')
  String get slug;

  @nullable
  @BuiltValueField(wireName: r'image')
  JsonObject get image;

  @nullable
  @BuiltValueField(wireName: r'alias')
  String get alias;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  Emoticon._();

  factory Emoticon([updates(EmoticonBuilder b)]) = _$Emoticon;
  static Serializer<Emoticon> get serializer => _$emoticonSerializer;
}
