import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise.g.dart';

abstract class Exercise implements Built<Exercise, ExerciseBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'coefficient')
  num get coefficient;

  @nullable
  @BuiltValueField(wireName: r'weightBias')
  num get weightBias;

  @nullable
  @BuiltValueField(wireName: r'timeBias')
  num get timeBias;

  @nullable
  @BuiltValueField(wireName: r'minute')
  num get minute;

  @nullable
  @BuiltValueField(wireName: r'exercise_groups')
  BuiltList<JsonObject> get exerciseGroups;

  @nullable
  @BuiltValueField(wireName: r'image')
  JsonObject get image;

  @nullable
  @BuiltValueField(wireName: r'constant')
  num get constant;

  @nullable
  @BuiltValueField(wireName: r'uuid')
  String get uuid;

  @nullable
  @BuiltValueField(wireName: r'revision')
  int get revision;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  Exercise._();

  factory Exercise([updates(ExerciseBuilder b)]) = _$Exercise;
  static Serializer<Exercise> get serializer => _$exerciseSerializer;
}
