import 'package:diet_cms/model/exercise_group_exercise.dart';
import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise_group.g.dart';

abstract class ExerciseGroup
    implements Built<ExerciseGroup, ExerciseGroupBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'exercises')
  BuiltList<ExerciseGroupExercise> get exercises;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  ExerciseGroup._();

  factory ExerciseGroup([updates(ExerciseGroupBuilder b)]) = _$ExerciseGroup;
  static Serializer<ExerciseGroup> get serializer => _$exerciseGroupSerializer;
}
