import 'package:built_collection/built_collection.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise_group_exercise.g.dart';

abstract class ExerciseGroupExercise
    implements Built<ExerciseGroupExercise, ExerciseGroupExerciseBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'coefficient')
  num get coefficient;

  @nullable
  @BuiltValueField(wireName: r'weightBias')
  num get weightBias;

  @nullable
  @BuiltValueField(wireName: r'timeBias')
  num get timeBias;

  @nullable
  @BuiltValueField(wireName: r'minute')
  num get minute;

  @nullable
  @BuiltValueField(wireName: r'exercise_groups')
  BuiltList<String> get exerciseGroups;

  @nullable
  @BuiltValueField(wireName: r'image')
  String get image;

  @nullable
  @BuiltValueField(wireName: r'constant')
  num get constant;

  @nullable
  @BuiltValueField(wireName: r'uuid')
  String get uuid;

  @nullable
  @BuiltValueField(wireName: r'revision')
  int get revision;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  String get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  ExerciseGroupExercise._();

  factory ExerciseGroupExercise([updates(ExerciseGroupExerciseBuilder b)]) =
      _$ExerciseGroupExercise;
  static Serializer<ExerciseGroupExercise> get serializer =>
      _$exerciseGroupExerciseSerializer;
}
