import 'package:diet_cms/model/exercise_group_exercise.dart';
import 'package:built_collection/built_collection.dart';
import 'package:diet_cms/model/json_patch_operation.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise_revision.g.dart';

abstract class ExerciseRevision
    implements Built<ExerciseRevision, ExerciseRevisionBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'revision')
  int get revision;

  @nullable
  @BuiltValueField(wireName: r'operationType')
  String get operationType;
  //enum operationTypeEnum {  INSERT,  UPDATE,  REPLACE,  DELETE,  INVALIDATE,  DROP,  DROP_DATABASE,  RENAME,  OTHER,  };

  @nullable
  @BuiltValueField(wireName: r'body')
  ExerciseGroupExercise get body;
  /*  */
  @nullable
  @BuiltValueField(wireName: r'patch')
  BuiltList<JsonPatchOperation> get patch_;

  // Boilerplate code needed to wire-up generated code
  ExerciseRevision._();

  factory ExerciseRevision([updates(ExerciseRevisionBuilder b)]) =
      _$ExerciseRevision;
  static Serializer<ExerciseRevision> get serializer =>
      _$exerciseRevisionSerializer;
}
