import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:diet_cms/model/exercise_video_content_details.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise_video.g.dart';

abstract class ExerciseVideo
    implements Built<ExerciseVideo, ExerciseVideoBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'title')
  String get title;

  @nullable
  @BuiltValueField(wireName: r'url')
  String get url;

  @nullable
  @BuiltValueField(wireName: r'type')
  String get type;
  //enum typeEnum {  youtube,  };

  @nullable
  @BuiltValueField(wireName: r'coach')
  JsonObject get coach;

  @nullable
  @BuiltValueField(wireName: r'channelId')
  String get channelId;

  @nullable
  @BuiltValueField(wireName: r'thumbnails')
  BuiltList<JsonObject> get thumbnails;

  @nullable
  @BuiltValueField(wireName: r'contentDetails')
  ExerciseVideoContentDetails get contentDetails;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  ExerciseVideo._();

  factory ExerciseVideo([updates(ExerciseVideoBuilder b)]) = _$ExerciseVideo;
  static Serializer<ExerciseVideo> get serializer => _$exerciseVideoSerializer;
}
