import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'json_patch_operation.g.dart';

abstract class JsonPatchOperation
    implements Built<JsonPatchOperation, JsonPatchOperationBuilder> {
  /* The operation to perform. */
  @nullable
  @BuiltValueField(wireName: r'op')
  String get op;
  //enum opEnum {  add,  replace,  test,  remove,  move,  copy,  };
  /* A JSON Pointer path. */
  @nullable
  @BuiltValueField(wireName: r'path')
  String get path;

  @nullable
  @BuiltValueField(wireName: r'value')
  JsonObject get value;

  @nullable
  @BuiltValueField(wireName: r'from')
  String get from;

  // Boilerplate code needed to wire-up generated code
  JsonPatchOperation._();

  factory JsonPatchOperation([updates(JsonPatchOperationBuilder b)]) =
      _$JsonPatchOperation;
  static Serializer<JsonPatchOperation> get serializer =>
      _$jsonPatchOperationSerializer;
}
