import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_coach.g.dart';

abstract class NewCoach implements Built<NewCoach, NewCoachBuilder> {
  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'type')
  String get type;
  //enum typeEnum {  chatbot,  human,  };

  @nullable
  @BuiltValueField(wireName: r'exercise_videos')
  BuiltList<String> get exerciseVideos;

  @nullable
  @BuiltValueField(wireName: r'slug')
  String get slug;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewCoach._();

  factory NewCoach([updates(NewCoachBuilder b)]) = _$NewCoach;
  static Serializer<NewCoach> get serializer => _$newCoachSerializer;
}
