import 'package:time_machine/time_machine.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_emoticon.g.dart';

abstract class NewEmoticon implements Built<NewEmoticon, NewEmoticonBuilder> {
  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'slug')
  String get slug;

  @nullable
  @BuiltValueField(wireName: r'alias')
  String get alias;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewEmoticon._();

  factory NewEmoticon([updates(NewEmoticonBuilder b)]) = _$NewEmoticon;
  static Serializer<NewEmoticon> get serializer => _$newEmoticonSerializer;
}
