import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_exercise.g.dart';

abstract class NewExercise implements Built<NewExercise, NewExerciseBuilder> {
  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'coefficient')
  num get coefficient;

  @nullable
  @BuiltValueField(wireName: r'weightBias')
  num get weightBias;

  @nullable
  @BuiltValueField(wireName: r'timeBias')
  num get timeBias;

  @nullable
  @BuiltValueField(wireName: r'minute')
  num get minute;

  @nullable
  @BuiltValueField(wireName: r'exercise_groups')
  BuiltList<String> get exerciseGroups;

  @nullable
  @BuiltValueField(wireName: r'constant')
  num get constant;

  @nullable
  @BuiltValueField(wireName: r'uuid')
  String get uuid;

  @nullable
  @BuiltValueField(wireName: r'revision')
  int get revision;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewExercise._();

  factory NewExercise([updates(NewExerciseBuilder b)]) = _$NewExercise;
  static Serializer<NewExercise> get serializer => _$newExerciseSerializer;
}
