import 'package:built_collection/built_collection.dart';
import 'package:time_machine/time_machine.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_exercise_group.g.dart';

abstract class NewExerciseGroup
    implements Built<NewExerciseGroup, NewExerciseGroupBuilder> {
  @nullable
  @BuiltValueField(wireName: r'name')
  String get name;

  @nullable
  @BuiltValueField(wireName: r'exercises')
  BuiltList<String> get exercises;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewExerciseGroup._();

  factory NewExerciseGroup([updates(NewExerciseGroupBuilder b)]) =
      _$NewExerciseGroup;
  static Serializer<NewExerciseGroup> get serializer =>
      _$newExerciseGroupSerializer;
}
