import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_exercise_revision.g.dart';

abstract class NewExerciseRevision
    implements Built<NewExerciseRevision, NewExerciseRevisionBuilder> {
  @nullable
  @BuiltValueField(wireName: r'exercise')
  String get exercise;

  @nullable
  @BuiltValueField(wireName: r'revision')
  int get revision;

  @nullable
  @BuiltValueField(wireName: r'operationType')
  String get operationType;
  //enum operationTypeEnum {  INSERT,  UPDATE,  REPLACE,  DELETE,  INVALIDATE,  DROP,  DROP_DATABASE,  RENAME,  OTHER,  };

  @nullable
  @BuiltValueField(wireName: r'body')
  JsonObject get body;

  @nullable
  @BuiltValueField(wireName: r'patch')
  JsonObject get patch_;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewExerciseRevision._();

  factory NewExerciseRevision([updates(NewExerciseRevisionBuilder b)]) =
      _$NewExerciseRevision;
  static Serializer<NewExerciseRevision> get serializer =>
      _$newExerciseRevisionSerializer;
}
