import 'package:time_machine/time_machine.dart';
import 'package:diet_cms/model/exercise_video_content_details.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_exercise_video.g.dart';

abstract class NewExerciseVideo
    implements Built<NewExerciseVideo, NewExerciseVideoBuilder> {
  @nullable
  @BuiltValueField(wireName: r'title')
  String get title;

  @nullable
  @BuiltValueField(wireName: r'url')
  String get url;

  @nullable
  @BuiltValueField(wireName: r'type')
  String get type;
  //enum typeEnum {  youtube,  };

  @nullable
  @BuiltValueField(wireName: r'coach')
  String get coach;

  @nullable
  @BuiltValueField(wireName: r'channelId')
  String get channelId;

  @nullable
  @BuiltValueField(wireName: r'contentDetails')
  ExerciseVideoContentDetails get contentDetails;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewExerciseVideo._();

  factory NewExerciseVideo([updates(NewExerciseVideoBuilder b)]) =
      _$NewExerciseVideo;
  static Serializer<NewExerciseVideo> get serializer =>
      _$newExerciseVideoSerializer;
}
