import 'package:time_machine/time_machine.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'new_story.g.dart';

abstract class NewStory implements Built<NewStory, NewStoryBuilder> {
  @nullable
  @BuiltValueField(wireName: r'title')
  String get title;

  @nullable
  @BuiltValueField(wireName: r'ink')
  JsonObject get ink;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  @nullable
  @BuiltValueField(wireName: r'created_by')
  String get createdBy;

  @nullable
  @BuiltValueField(wireName: r'updated_by')
  String get updatedBy;

  // Boilerplate code needed to wire-up generated code
  NewStory._();

  factory NewStory([updates(NewStoryBuilder b)]) = _$NewStory;
  static Serializer<NewStory> get serializer => _$newStorySerializer;
}
