import 'package:time_machine/time_machine.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'story.g.dart';

abstract class Story implements Built<Story, StoryBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'title')
  String get title;

  @nullable
  @BuiltValueField(wireName: r'ink')
  JsonObject get ink;

  @nullable
  @BuiltValueField(wireName: r'published_at')
  OffsetDateTime get publishedAt;

  // Boilerplate code needed to wire-up generated code
  Story._();

  factory Story([updates(StoryBuilder b)]) = _$Story;
  static Serializer<Story> get serializer => _$storySerializer;
}
