library serializers;

import 'package:built_value/iso_8601_date_time_serializer.dart';
import 'package:built_value/serializer.dart';
import 'package:built_collection/built_collection.dart';
import 'package:built_value/json_object.dart';
import 'package:built_value/standard_json_plugin.dart';
import 'package:time_machine/time_machine.dart';
import 'package:diet_cms/local_date_serializer.dart';
import 'package:diet_cms/model/coach.dart';
import 'package:diet_cms/model/content_details.dart';
import 'package:diet_cms/model/count_response.dart';
import 'package:diet_cms/model/emoticon.dart';
import 'package:diet_cms/model/error.dart';
import 'package:diet_cms/model/exercise.dart';
import 'package:diet_cms/model/exercise_group.dart';
import 'package:diet_cms/model/exercise_group_exercise.dart';
import 'package:diet_cms/model/exercise_revision.dart';
import 'package:diet_cms/model/exercise_video.dart';
import 'package:diet_cms/model/exercise_video_content_details.dart';
import 'package:diet_cms/model/json_patch_operation.dart';
import 'package:diet_cms/model/new_coach.dart';
import 'package:diet_cms/model/new_emoticon.dart';
import 'package:diet_cms/model/new_exercise.dart';
import 'package:diet_cms/model/new_exercise_group.dart';
import 'package:diet_cms/model/new_exercise_revision.dart';
import 'package:diet_cms/model/new_exercise_video.dart';
import 'package:diet_cms/model/new_story.dart';
import 'package:diet_cms/model/story.dart';

part 'serializers.g.dart';

@SerializersFor(const [
  Coach,
  ContentDetails,
  CountResponse,
  Emoticon,
  Error,
  Exercise,
  ExerciseGroup,
  ExerciseGroupExercise,
  ExerciseRevision,
  ExerciseVideo,
  ExerciseVideoContentDetails,
  JsonPatchOperation,
  NewCoach,
  NewEmoticon,
  NewExercise,
  NewExerciseGroup,
  NewExerciseRevision,
  NewExerciseVideo,
  NewStory,
  Story,
])

//allow all models to be serialized within a list
Serializers serializers = (_$serializers.toBuilder()
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(Coach)]),
          () => new ListBuilder<Coach>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(ContentDetails)]),
          () => new ListBuilder<ContentDetails>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(CountResponse)]),
          () => new ListBuilder<CountResponse>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(Emoticon)]),
          () => new ListBuilder<Emoticon>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(Error)]),
          () => new ListBuilder<Error>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(Exercise)]),
          () => new ListBuilder<Exercise>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(ExerciseGroup)]),
          () => new ListBuilder<ExerciseGroup>())
      ..addBuilderFactory(
          const FullType(
              BuiltList, const [const FullType(ExerciseGroupExercise)]),
          () => new ListBuilder<ExerciseGroupExercise>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(ExerciseRevision)]),
          () => new ListBuilder<ExerciseRevision>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(ExerciseVideo)]),
          () => new ListBuilder<ExerciseVideo>())
      ..addBuilderFactory(
          const FullType(
              BuiltList, const [const FullType(ExerciseVideoContentDetails)]),
          () => new ListBuilder<ExerciseVideoContentDetails>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(JsonPatchOperation)]),
          () => new ListBuilder<JsonPatchOperation>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewCoach)]),
          () => new ListBuilder<NewCoach>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewEmoticon)]),
          () => new ListBuilder<NewEmoticon>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewExercise)]),
          () => new ListBuilder<NewExercise>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewExerciseGroup)]),
          () => new ListBuilder<NewExerciseGroup>())
      ..addBuilderFactory(
          const FullType(
              BuiltList, const [const FullType(NewExerciseRevision)]),
          () => new ListBuilder<NewExerciseRevision>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewExerciseVideo)]),
          () => new ListBuilder<NewExerciseVideo>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(NewStory)]),
          () => new ListBuilder<NewStory>())
      ..addBuilderFactory(
          const FullType(BuiltList, const [const FullType(Story)]),
          () => new ListBuilder<Story>())
      ..add(Iso8601DateTimeSerializer()))
    .build();

Serializers standardSerializers = (serializers.toBuilder()
      ..add(OffsetDateSerializer())
      ..add(OffsetDateTimeSerializer())
      ..addPlugin(StandardJsonPlugin()))
    .build();
